Page MenuHomePhabricator

Writing bulletproof services for Tool Labs
Closed, ResolvedPublic

Description

A (planned) 90m session showing, in detail, how to write and deploy robust services/bots on Tool Labs in a way that makes them robust in the long term and able to survive all but the most catastrophic outages.

Examples will be mostly shown in PHP and simple Perl, but the lessons learned should be transitive to pretty much any language.

Event Timeline

coren created this task.Feb 24 2015, 11:19 PM
coren updated the task description. (Show Details)
coren raised the priority of this task from to Needs Triage.
coren claimed this task.
coren added a subscriber: coren.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 11:19 PM
coren updated the task description. (Show Details)Feb 24 2015, 11:20 PM
coren set Security to None.
coren added a comment.Feb 25 2015, 3:31 PM

I might have though this was more "training" than "hacking"?

coren triaged this task as Normal priority.Mar 25 2015, 6:57 PM
Tarrow added a subscriber: Tarrow.Mar 29 2015, 5:12 PM
He7d3r added a subscriber: He7d3r.Apr 21 2015, 4:52 PM
Quiddity added a subscriber: Quiddity.
Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Tgr added a subscriber: Tgr.May 22 2015, 9:55 AM
Qgil added a comment.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Advocacy (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

Qgil added a comment.Jul 3 2015, 10:26 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

What is the status of this task, now that Wikimania 2015 is over? Did this training session take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

Qgil closed this task as Resolved.Sep 16 2015, 10:05 AM
Qgil removed a project: Wikimania-Hackathon-2015.